# Enblend

From PanoTools.org Wiki

For detailed information please see Enblend reference manual[*]

## Intro

Enblend overlays multiple TIFF images so as to make the seam invisible. It works with 8, 16 or 32 bit (HDR floating point) per channel images.

Enblend can work as a plug-in for PTGui[*], Hugin, PTMac[*] or PTAssembler[*] or standalone from the command line or by Enblend Front End[*].

New in version 3.0:

- Adjusts the seam line to avoid areas of mismatch between source images such as parallax errors
- Supports saving and loading masks
- Includes various other performance improvements.

Enblend is available for Windows and Linux from the project site. A Mac OS X port, xblend, is available from Kevin Kratzke.

## Command-line usage

Parameters worth noting are:

-a
  Pre-assemble non-overlapping images. Greatly speeds up blending panoramas with many non-overlapping images (like huge multi-rows).
-w
  Wrap the blending process around the 360 degree boundary so you don't end up with a harsh transition at the +180 and -180 degree seam.
-o
  Force Enblend to use an output filename of your choice.
-v
  Verbose output, see the details of what is happening rather than staring at a blank screen.
-l <n>
  Force enblend to use a certain number of levels in order to increase the blend area (minimize visible seam lines).

Enblend supports cropped TIFF input files.

See Enblend reference manual[*] for detailed information.

## Caveat

If you are trying to run Enblend 3.0 on Windows and are finding that the program returns immediately with no output, you may be attempting to run a version compiled with SSE instructions on a non-SSE-capable CPU (e.g like older AMD CPUs). You can obtain an non-SSE binary for Enblend from Sourceforge.[1]

However, it could be that this version still doesn't run as discussed on [2] (problem) and [3] (solution). If so there is a patched version available at http://alto.anu.edu.au/~wpc/private/enblend/enblend-3.0-cyg.zip

## Getting Enblend

Enblend is Open Source. As such you can download it for free from its project page linked below. Enblend is part of the major linux distributions. You can get the latest release by using the distributions' software package management system. For ubuntu linux, open a terminal and type:

    $ sudo apt-get install enblend

That's it!

Enblend is in constant development. If you want to get the bleeding edge, read the development section below.

## Development

enblend is Open Source, and as such very much dependent on voluntary contributions of resources. If you have coding skills, you are welcome to look at the source code and contribute to it. Even if you don't have coding skills, you most likely have some skills that the project could use and you are more than welcome to contribute your time. The tasks requiring attention change frequently and so do the required skillset and resources. Join the hugin-ptx mailing list to find out what is going on at the moment and how you can help. Even just testing and giving feedback help.

To get the bleeding edge, follow the development / build process of Hugin

- Ubuntu Linux[*]
- Fedora Linux[*]
- Mac OSX[*]
- Windows[*]

## See also

Tutorials featuring enblend:

- Using enblend to fill the "Hole in the floor"[*] [*]
- How to use enblend for patching zenith and nadir images[*] [*]
- How to remove blending error caused by enblend and enfuse at zenith and nadir (automatic)[*]

## External links

- Enblend Project Page
- xblend

Retrieved from "http://wiki.panotools.org/index.php?title=Enblend&oldid=15588[*]"